package com.wissamfawaz;

import java.awt.Button;
import java.awt.Color;
import java.awt.Dimension;
import java.awt.Font;
import java.awt.Label;

import javax.swing.JPanel;

public class PushCounterPanel extends JPanel {
	private Button btPush;
	private Label lblOutput;
	private int counter = 0;
	
	public PushCounterPanel() {
		btPush = new Button("Push Me!");
		lblOutput = new Label("0");
		
		Font font = new Font("Helvetica", Font.BOLD, 20);
		btPush.setFont(font);
		lblOutput.setFont(font);
		
		btPush.addActionListener(e -> {
			counter++;
			lblOutput.setText(counter + "");
		});
		
		add(btPush);
		add(lblOutput);
		
		setPreferredSize(new Dimension(250, 75));
		setBackground(Color.CYAN);
	}

}
