package application;
	
import javafx.application.Application;
import javafx.event.ActionEvent;
import javafx.event.EventHandler;
import javafx.geometry.Pos;
import javafx.geometry.Rectangle2D;
import javafx.scene.Scene;
import javafx.scene.control.Button;
import javafx.scene.control.Label;
import javafx.scene.layout.Background;
import javafx.scene.layout.BackgroundFill;
import javafx.scene.layout.FlowPane;
import javafx.scene.paint.Color;
import javafx.scene.text.Font;
import javafx.scene.text.FontPosture;
import javafx.scene.text.FontWeight;
import javafx.stage.Screen;
import javafx.stage.Stage;


public class Main extends Application {
	private int counter = 0;
	@Override
	public void start(Stage primaryStage) {
		FlowPane pane = new FlowPane(8, 0);
		pane.setBackground(new Background(new BackgroundFill(Color.CYAN, null, null)));
		pane.setAlignment(Pos.CENTER);
		
		Button btPush = new Button("Push Me!");
		Label lblOutput = new Label("0");
		Font font = Font.font("Helvetica", FontWeight.BOLD, FontPosture.ITALIC, 20);
		btPush.setFont(font);
		lblOutput.setFont(font);
		btPush.setOnAction(e -> {
			counter++;
			lblOutput.setText(counter + "");
		});
		
		pane.getChildren().addAll(btPush, lblOutput);
		
		Scene scene = new Scene(pane, 250, 75);
		primaryStage.setScene(scene);
		primaryStage.setResizable(false);
		primaryStage.setTitle("Push Counter FX");
		primaryStage.show();
		
		Rectangle2D primScreen = Screen.getPrimary().getBounds();
		primaryStage.setX(primScreen.getWidth()/2 - primaryStage.getWidth()/2);
		primaryStage.setY(primScreen.getHeight()/2 - primaryStage.getHeight()/2);
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
	}
	
	public static void main(String[] args) {
		launch(args);
	}
}
