package application;
	
import java.util.Random;

import javafx.application.Application;
import javafx.scene.Scene;
import javafx.scene.layout.Pane;
import javafx.scene.paint.Color;
import javafx.scene.text.Text;
import javafx.stage.Stage;


public class Main extends Application {
	@Override
	public void start(Stage primaryStage) {
		Pane pane = new Pane();
		Text text;
		double x, y, rotate;
		Random rnd = new Random();
		int red, green, blue;
		Scene scene = new Scene(pane, 300, 300);
		
		for(int i=1; i<=100; i++) {
			x = rnd.nextDouble()*scene.getWidth();
			y = rnd.nextDouble()*scene.getHeight();
			rotate = rnd.nextDouble() * 360;
			red = rnd.nextInt(256);
			green = rnd.nextInt(256);
			blue = rnd.nextInt(256);
			
			text = new Text(x, y, "JavaFX-11");
			text.setRotate(rotate);
			text.setFill(Color.rgb(red, green, blue));
			pane.getChildren().add(text);
		}
		
		primaryStage.setScene(scene);
		primaryStage.setResizable(false);
		primaryStage.setTitle("Work of art");
		primaryStage.show();
		
		
		
		
		
		
		
		
		
		
		
		
	}
	
	public static void main(String[] args) {
		launch(args);
	}
}
